Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.bc
Class LinkedCertificate

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.bc.LinkedCertificate

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class LinkedCertificate
extends ASN1Object

Extension to tie an alternate certificate to the containing certificate. LinkedCertificate := SEQUENCE { digest DigestInfo, -- digest of PQC certificate certLocation GeneralName, -- location of PQC certificate certIssuer [0] Name OPTIONAL, -- issuer of PQC cert (if different from current certificate) cACerts [1] GeneralNames OPTIONAL, -- CA certificates for PQC cert (one of more locations) }

Constructor Summary
`LinkedCertificate(DigestInfo digest, GeneralName certLocation)`
`LinkedCertificate(DigestInfo digest, GeneralName certLocation, X500Name certIssuer, GeneralNames cACerts)`

Method Summary
`GeneralNames` | `getCACerts()`
`X500Name` | `getCertIssuer()`
`GeneralName` | `getCertLocation()`
`DigestInfo` | `getDigest()`
`static LinkedCertificate` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkedCertificate

    public LinkedCertificate(DigestInfo digest,
                             GeneralName certLocation)

### LinkedCertificate

    public LinkedCertificate(DigestInfo digest,
                             GeneralName certLocation,
                             X500Name certIssuer,
                             GeneralNames cACerts)

Method Detail

### getInstance

    public static LinkedCertificate getInstance(java.lang.Object o)

### getDigest

    public DigestInfo getDigest()

### getCertLocation

    public GeneralName getCertLocation()

### getCertIssuer

    public X500Name getCertIssuer()

### getCACerts

    public GeneralNames getCACerts()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD